<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PageProvider.html">PageProvider</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::PageProvider Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PageProvider.html#a21e0f99d400fea63fb6dd4024c873834">loadProceduralPage</a>(Page *page, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PageProvider.html#ab796c764ed717dc1f5f4f70b9fd7f3f2">PageProvider</a>()</td><td><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PageProvider.html#a673e0105f4c2a4cb4f4a1631ebfe48c8">prepareProceduralPage</a>(Page *page, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PageProvider.html#acc765352fa835ea260b9ce989d872b9e">readPageStream</a>(PageID pageID, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PageProvider.html#aa542da6a61f2bacf9a2c7c128eb91c76">readWorldStream</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PageProvider.html#ae164fead87b9512b924b2ad3e20dba97">unloadProceduralPage</a>(Page *page, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PageProvider.html#a66ee65df7701f813b055ed09aeaa7949">unprepareProceduralPage</a>(Page *page, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PageProvider.html#aa32a942e1b415cae94b984924266f9de">writePageStream</a>(PageID pageID, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PageProvider.html#a44eb5f25c6d9875c1a7f4745a8c9f7c3">writeWorldStream</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PageProvider.html#ab0f1061b31c84bb8b730ac848a8241e7">~PageProvider</a>()</td><td><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
